PNGSTRIP(1)

NAME
pngstrip - rewrite a PNG file with all extraneous information removed

SYNOPSIS
pngstrip [-h(elp)] [-8(bit_strip_to)] [-a(lpha_strip)] [-e(xpand_to_rgb)] [-g(rayscale_convert)] [-r(es) DPM] infile outfile

DESCRIPTION
pngstrip reads in a PNG image and writes it out again with all extraneous information removed, leaving only the bKGD, gAMA, pHYs, sRGB, and tRNS chunks. It is called as part of the opt-png script.

OPTIONS

-h  Print help and quit.

-8  Strip 16-bit channel data down to 8-bit channel data.

-a  Strip out any alpha channel data. This option will also strip out the transparency (tRNS) chunk if it is present.

-e  Expand a palette-based image to an RGB channel-based image.

-g  Convert an RGB channel-based or palette-based image to a grayscale image.

-r DPM
    Force the written PNG file to assume the specified resolution in the pHYs chunk. Units are pixels-per-meter. To convert from DPI to pixels, divide by 0.0254 (or multiply by 39.37). Note that this does not change the number of pixels in the image. It only changes the assumed size of the pixels.

COPYRIGHT
Copyright (C) 2004-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.